<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>Chapitre 4. Ressources pour les responsables et développeurs Debian</title>
    <link rel="stylesheet" type="text/css" href="developers-reference.css"/>
    <meta name="generator" content="DocBook XSL Stylesheets V1.78.1"/>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <link rel="home" href="index.html" title="Référence du développeur Debian"/>
    <link rel="up" href="index.html" title="Référence du développeur Debian"/>
    <link rel="prev" href="ch03.html" title="Chapitre 3. Devoirs du développeur Debian"/>
    <link rel="next" href="ch05.html" title="Chapitre 5. Gestion des paquets"/>
  </head>
  <body>
    <div class="navheader">
      <table width="100%" summary="Navigation header">
        <tr>
          <th colspan="3" align="center">Chapitre 4. Ressources pour les responsables et développeurs Debian</th>
        </tr>
        <tr>
          <td align="left"><a accesskey="p" href="ch03.html"><img src="images/prev.png" alt="Précédent"/></a> </td>
          <th width="60%" align="center"> </th>
          <td align="right"> <a accesskey="n" href="ch05.html"><img src="images/next.png" alt="Suivant"/></a></td>
        </tr>
      </table>
      <hr/>
    </div>
    <div class="chapter">
      <div class="titlepage">
        <div>
          <div>
            <h1 class="title"><a id="resources"/>Chapitre 4. Ressources pour les responsables et développeurs Debian</h1>
          </div>
        </div>
      </div>
      <div class="toc">
        <p>
          <strong>Table des matières</strong>
        </p>
        <dl class="toc">
          <dt>
            <span class="section">
              <a href="ch04.html#mailing-lists">4.1. Listes de diffusion</a>
            </span>
          </dt>
          <dd>
            <dl>
              <dt>
                <span class="section">
                  <a href="ch04.html#mailing-lists-rules">4.1.1. Règles d'utilisation fondamentales</a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="ch04.html#core-devel-mailing-lists">4.1.2. Principales listes de diffusion pour les responsables</a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="ch04.html#mailing-lists-special">4.1.3. Listes particulières</a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="ch04.html#mailing-lists-new">4.1.4. Demander une nouvelle liste pour le développement</a>
                </span>
              </dt>
            </dl>
          </dd>
          <dt>
            <span class="section">
              <a href="ch04.html#irc-channels">4.2. Canaux IRC</a>
            </span>
          </dt>
          <dt>
            <span class="section">
              <a href="ch04.html#doc-rsrcs">4.3. Documentation</a>
            </span>
          </dt>
          <dt>
            <span class="section">
              <a href="ch04.html#server-machines">4.4. Serveurs Debian</a>
            </span>
          </dt>
          <dd>
            <dl>
              <dt>
                <span class="section">
                  <a href="ch04.html#servers-bugs">4.4.1. Serveur de suivi des bogues (<code class="literal">BTS</code>)</a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="ch04.html#servers-ftp-master">4.4.2. Serveur FTP principal <code class="literal">ftp-master</code></a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="ch04.html#servers-www">4.4.3. Serveur web principal <code class="literal">www-master</code></a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="ch04.html#servers-people">4.4.4. Serveur web pour pages personnelles <code class="literal">people</code></a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="ch04.html#servers-vcs">4.4.5. Serveurs de gestion de versions (<code class="literal">VCS</code>)</a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="ch04.html#dchroot">4.4.6. Chroots de différentes distributions</a>
                </span>
              </dt>
            </dl>
          </dd>
          <dt>
            <span class="section">
              <a href="ch04.html#devel-db">4.5. Base de données des développeurs</a>
            </span>
          </dt>
          <dt>
            <span class="section">
              <a href="ch04.html#archive">4.6. Archive Debian</a>
            </span>
          </dt>
          <dd>
            <dl>
              <dt>
                <span class="section">
                  <a href="ch04.html#archive-sections">4.6.1. Sections</a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="ch04.html#s4.6.2">4.6.2. Architectures</a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="ch04.html#s4.6.3">4.6.3. Paquets</a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="ch04.html#s4.6.4">4.6.4. Distributions</a>
                </span>
              </dt>
              <dd>
                <dl>
                  <dt>
                    <span class="section">
                      <a href="ch04.html#sec-dists">4.6.4.1. <code class="literal">Stable</code>, <code class="literal">testing</code>, et
<code class="literal">unstable</code></a>
                    </span>
                  </dt>
                  <dt>
                    <span class="section">
                      <a href="ch04.html#s4.6.4.2">4.6.4.2. Informations complémentaires sur la distribution <code class="literal">testing</code></a>
                    </span>
                  </dt>
                  <dt>
                    <span class="section">
                      <a href="ch04.html#experimental">4.6.4.3. <code class="literal">Experimental</code></a>
                    </span>
                  </dt>
                </dl>
              </dd>
              <dt>
                <span class="section">
                  <a href="ch04.html#codenames">4.6.5. Noms de code des distributions</a>
                </span>
              </dt>
            </dl>
          </dd>
          <dt>
            <span class="section">
              <a href="ch04.html#mirrors">4.7. Miroirs Debian</a>
            </span>
          </dt>
          <dt>
            <span class="section">
              <a href="ch04.html#incoming-system">4.8. Système « <code class="literal">Incoming</code> »</a>
            </span>
          </dt>
          <dt>
            <span class="section">
              <a href="ch04.html#pkg-info">4.9. Informations sur un paquet</a>
            </span>
          </dt>
          <dd>
            <dl>
              <dt>
                <span class="section">
                  <a href="ch04.html#pkg-info-web">4.9.1. Sur le web</a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="ch04.html#dak-ls">4.9.2. Utilitaire <span class="command"><strong>dak ls</strong></span></a>
                </span>
              </dt>
            </dl>
          </dd>
          <dt>
            <span class="section">
              <a href="ch04.html#pkg-tracker">4.10. The Debian Package Tracker</a>
            </span>
          </dt>
          <dd>
            <dl>
              <dt>
                <span class="section">
                  <a href="ch04.html#pkg-tracker-commands">4.10.1. The package tracker email interface</a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="ch04.html#pkg-tracker-mail-filtering">4.10.2. Filtering mails from the package tracker</a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="ch04.html#pkg-tracker-vcs-commit">4.10.3. Forwarding VCS commits to the package tracker</a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="ch04.html#pts-web">4.10.4. The package tracker web interface</a>
                </span>
              </dt>
            </dl>
          </dd>
          <dt>
            <span class="section">
              <a href="ch04.html#ddpo">4.11. Vue d'ensemble des paquets d'un développeur</a>
            </span>
          </dt>
          <dt>
            <span class="section">
              <a href="ch04.html#alioth">4.12. <code class="literal">FusionForge</code> pour Debian : <code class="literal">Alioth</code></a>
            </span>
          </dt>
          <dt>
            <span class="section">
              <a href="ch04.html#developer-misc">4.13. Cadeaux pour les développeurs et responsables Debian</a>
            </span>
          </dt>
        </dl>
      </div>
      <p>
Ce chapitre décrit brièvement les listes de diffusion, les serveurs Debian à
disposition des développeurs et les autres ressources utiles au travail de
responsable.
</p>
      <div class="section">
        <div class="titlepage">
          <div>
            <div>
              <h2 class="title"><a id="mailing-lists"/>4.1. Listes de diffusion</h2>
            </div>
          </div>
        </div>
        <p>
Une grande partie des discussions entre les développeurs Debian (et les
utilisateurs) a lieu dans un vaste éventail de listes de diffusion hébergées
sur <code class="literal"><a class="ulink" href="https://lists.debian.org/">lists.debian.org</a></code>. Pour en savoir
plus sur la façon de s'abonner ou se désabonner, d'utiliser les listes, de
consulter les archives, de contacter leurs responsables, ainsi que diverses
autres informations sur les listes de diffusion, veuillez lire <a class="ulink" href="https://www.debian.org/MailingLists/">https://www.debian.org/MailingLists/</a>. Cette section ne détaille que les
informations utiles aux développeurs.
</p>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="mailing-lists-rules"/>4.1.1. Règles d'utilisation fondamentales</h3>
              </div>
            </div>
          </div>
          <p>
Une réponse sur une liste de diffusion ne doit pas être envoyée en copie
(<code class="literal">CC</code>) à l'expéditeur initial, sauf s'il l'a explicitement
demandé. Toute personne écrivant sur une liste de diffusion devrait la
suivre pour voir les réponses.
</p>
          <p>
L'envoi d'un même message à plusieurs listes
(« <code class="literal">cross-post</code> ») est déconseillé. Conformément aux
usages, veuillez réduire la citation des articles auxquels vous répondez. En
règle générale, veuillez respecter les conventions habituelles d'envoi de
messages.
</p>
          <p>
Veuillez lire le <a class="ulink" href="https://www.debian.org/MailingLists/#codeofconduct">code de
conduite</a> pour plus de renseignements. Les <a class="ulink" href="https://people.debian.org/~enrico/dcg/">recommandations de la communauté Debian (« <code class="literal">Debian
Community Guidelines</code> »)</a> valent également la peine d'être
lues.
</p>
        </div>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="core-devel-mailing-lists"/>4.1.2. Principales listes de diffusion pour les responsables</h3>
              </div>
            </div>
          </div>
          <p>
Les principales listes de diffusion que les développeurs devraient suivre
sont :
</p>
          <div class="itemizedlist">
            <ul class="itemizedlist">
              <li class="listitem">
                <p>
<code class="email">&lt;<a class="email" href="mailto:debian-devel-announce@lists.debian.org">debian-devel-announce@lists.debian.org</a>&gt;</code>, pour les annonces importantes aux
développeurs. Tous les responsables Debian sont censés être inscrits à cette
liste ;
</p>
              </li>
              <li class="listitem">
                <p>
<code class="email">&lt;<a class="email" href="mailto:debian-devel@lists.debian.org">debian-devel@lists.debian.org</a>&gt;</code>, pour les diverses questions techniques relatives au
développement ;
</p>
              </li>
              <li class="listitem">
                <p>
<code class="email">&lt;<a class="email" href="mailto:debian-policy@lists.debian.org">debian-policy@lists.debian.org</a>&gt;</code>, où la Charte Debian (« <code class="literal">Debian
Policy</code> ») est discutée et votée ;
</p>
              </li>
              <li class="listitem">
                <p>
<code class="email">&lt;<a class="email" href="mailto:debian-project@lists.debian.org">debian-project@lists.debian.org</a>&gt;</code>, pour les questions diverses et non techniques
relatives au projet.
</p>
              </li>
            </ul>
          </div>
          <p>
D'autres listes de diffusion sont spécialisées dans différents thèmes ; voir
une liste sur <a class="ulink" href="https://lists.debian.org/">https://lists.debian.org/</a>.
</p>
        </div>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="mailing-lists-special"/>4.1.3. Listes particulières</h3>
              </div>
            </div>
          </div>
          <p>
<code class="email">&lt;<a class="email" href="mailto:debian-private@lists.debian.org">debian-private@lists.debian.org</a>&gt;</code> est une liste de diffusion destinée aux échanges
privés entre développeurs Debian. Elle sert aux messages qui, pour une
raison ou une autre, ne devraient pas être rendus publics. De ce fait, c'est
une liste à faible trafic. Il est déconseillé d'utiliser
<code class="email">&lt;<a class="email" href="mailto:debian-private@lists.debian.org">debian-private@lists.debian.org</a>&gt;</code> sauf en cas de réelle nécessité. En outre, il ne faut
<span class="emphasis"><em>jamais</em></span> faire suivre un message provenant de cette liste
à qui que ce soit. Les archives de cette liste ne sont pas disponibles sur
la toile pour des raisons évidentes, mais il est possible de les consulter
dans le répertoire <code class="filename">~debian/archive/debian-private/</code> sur
<code class="literal">master.debian.org</code>.
</p>
          <p>
<code class="email">&lt;<a class="email" href="mailto:debian-email@lists.debian.org">debian-email@lists.debian.org</a>&gt;</code> est une liste de diffusion fourre-tout. Elle est
utilisée pour les correspondances relatives à Debian qu'il serait utile
d'archiver, telles que des échanges avec les auteurs amont à propos de
licences, de bogues ou encore des discussions sur le projet avec d'autres
personnes.
</p>
        </div>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="mailing-lists-new"/>4.1.4. Demander une nouvelle liste pour le développement</h3>
              </div>
            </div>
          </div>
          <p>
Avant de demander une liste de diffusion pour le développement d'un paquet
(ou d'un petit groupe de paquets apparentés), veuillez envisager
l'utilisation plus appropriée d'un alias (à l'aide d'un fichier
.forward-nomdalias sur master.debian.org, qui se traduit en une adresse
raisonnablement agréable
<em class="replaceable"><code>vous-nomdalias@debian.org</code></em>) ou d'une liste de
diffusion autogérée sur <a class="link" href="ch04.html#alioth" title="4.12. FusionForge pour Debian : Alioth">Alioth</a>.
</p>
          <p>
Si une liste de diffusion standard sur lists.debian.org est vraiment ce que vous
voulez, lancez-vous et faites une demande en suivant <a class="ulink" href="https://www.debian.org/MailingLists/HOWTO_start_list">le guide</a>.
</p>
        </div>
      </div>
      <div class="section">
        <div class="titlepage">
          <div>
            <div>
              <h2 class="title"><a id="irc-channels"/>4.2. Canaux IRC</h2>
            </div>
          </div>
        </div>
        <p>
Plusieurs canaux IRC sont dédiés au développement de Debian. Ils sont
principalement hébergés sur le réseau <code class="literal"><a class="ulink" href="http://www.oftc.net/oftc/">Open
and Free Technology Community (OFTC)</a></code>. L'entrée DNS
<code class="literal">irc.debian.org</code> est un alias vers
<code class="literal">irc.oftc.net</code>.
</p>
        <p>
Le principal canal pour Debian est <code class="literal">#debian</code>. Il s'agit
d'un canal important, généraliste, où les utilisateurs peuvent trouver des
nouvelles récentes dans le sujet et qui est administré par des
robots. <code class="literal">#debian</code> est destiné aux anglophones ; il existe
également <code class="literal">#debian.de</code>, <code class="literal">#debian-fr</code>,
<code class="literal">#debian-br</code> et d'autres canaux avec des noms semblables
pour les personnes parlant d'autres langues.
</p>
        <p>
Le canal principal pour le développement de Debian est
<code class="literal">#debian-devel</code>. C'est un canal très actif puisque plus de
150 personnes sont connectées en permanence. C'est un canal pour les
personnes qui travaillent sur Debian, ce n'est pas un canal d'aide (il
existe <code class="literal">#debian</code> pour cela). Il est cependant ouvert à tous
ceux qui veulent écouter (et apprendre). Le sujet est généralement rempli
d'informations intéressantes pour les développeurs.
</p>
        <p>
Comme <code class="literal">#debian-devel</code> est un canal ouvert, vous ne devriez
pas y parler de problèmes discutés sur <code class="email">&lt;<a class="email" href="mailto:debian-private@lists.debian.org">debian-private@lists.debian.org</a>&gt;</code>. Il existe un
autre canal dans ce but, appelé <code class="literal">#debian-private</code> et
protégé par clé. La clé est disponible dans le fichier
<code class="filename">master.debian.org:~debian/misc/irc-password</code>.
</p>
        <p>
D'autres canaux sont dédiés à des sujets
spécifiques. <code class="literal">#debian-bugs</code> est utilisé pour la
coordination des chasses aux bogues (« <code class="literal">bug squashing
parties</code> »). <code class="literal">#debian-boot</code> est utilisé pour la
coordination du travail sur l'installateur Debian
(« <code class="literal">debian-installer</code> »). <code class="literal">#debian-doc</code>
est utilisé occasionnellement pour travailler sur la documentation comme
celle que vous lisez actuellement. D'autres canaux sont dédiés à une
architecture ou un ensemble de paquets : <code class="literal">#debian-kde</code>,
<code class="literal">#debian-dpkg</code>, <code class="literal">#debian-jr</code>,
<code class="literal">#debian-edu</code>, <code class="literal">#debian-oo</code> (paquet
<code class="literal">OpenOffice.org</code>), etc.
</p>
        <p>
Des canaux existent pour développeurs non anglophones, par exemple,
<code class="literal">#debian-devel-fr</code> pour les francophones intéressés dans le
développement de Debian.
</p>
        <p>
Des canaux dédiés à Debian existent sur d'autres réseaux IRC, notamment sur
le réseau IRC <a class="ulink" href="https://www.freenode.net/">Freenode</a>, sur lequel
pointait l'alias <code class="literal">irc.debian.org</code> jusqu'au 4 juin 2006.
</p>
        <p>
Pour obtenir un masquage (« <code class="literal">cloak</code> ») sur freenode,
envoyez un message signé à Jörg Jaspert &lt;joerg@debian.org&gt; où vous
indiquerez votre pseudonyme (« <code class="literal">nick</code> »). Indiquez
« cloak » dans le sujet. Votre pseudonyme doit être enregistré conformément
à la <a class="ulink" href="https://freenode.net/faq.shtml#nicksetup">page de
configuration des pseudonymes</a>. Le message doit être signé avec une
clé du porte-clés Debian. Veuillez consulter la <a class="ulink" href="https://freenode.net/faq.shtml#projectcloak">documentation de
Freenode</a> sur les masquages pour plus d'informations.
</p>
      </div>
      <div class="section">
        <div class="titlepage">
          <div>
            <div>
              <h2 class="title"><a id="doc-rsrcs"/>4.3. Documentation</h2>
            </div>
          </div>
        </div>
        <p>
Ce document contient beaucoup d'informations très utiles aux développeurs
Debian, mais il ne peut pas tout contenir. La plupart des autres documents
intéressants sont référencés dans le <a class="ulink" href="https://www.debian.org/devel/">coin du
développeur Debian</a>. Prenez le temps de parcourir tous les liens,
vous apprendrez encore beaucoup de choses.
</p>
      </div>
      <div class="section">
        <div class="titlepage">
          <div>
            <div>
              <h2 class="title"><a id="server-machines"/>4.4. Serveurs Debian</h2>
            </div>
          </div>
        </div>
        <p>
Debian possède plusieurs ordinateurs employés comme serveurs, dont la
plupart hébergent les fonctions critiques du projet Debian. La plupart des
machines sont utilisées pour des activités de portage et elles ont toutes un
accès permanent à Internet.
</p>
        <p>
La plupart des machines peuvent être utilisées par les développeurs tant
qu'ils respectent les règles définies dans la <a class="ulink" href="https://www.debian.org/devel/dmup">charte
d'utilisation des machines Debian</a>.
</p>
        <p>
Ces machines peuvent être utilisées à votre discrétion pour des buts liés à
à Debian. Veuillez cependant, par égard aux administrateurs système, ne pas
utiliser de grandes quantités d'espace disque, de ressource réseau ou
processeur sans obtenir auparavant l'accord des administrateurs. Ces
machines sont d'habitude administrées par des bénévoles.
</p>
        <p>
Veuillez prendre soin de vos mots de passe Debian ainsi que des clés SSH
installées sur les machines Debian. Évitez les méthodes de connexion ou
d'envoi de données qui envoient les mots de passe en clair par Internet
comme Telnet, FTP, POP, etc.
</p>
        <p>
Veuillez ne pas déposer de données non relatives à Debian sur les serveurs
Debian à moins d'avoir préalablement obtenu la permission de le faire.
</p>
        <p>
La liste à jour des machines Debian est disponible sur la page : <a class="ulink" href="https://db.debian.org/machines.cgi">https://db.debian.org/machines.cgi</a>. Cette page web contient les noms des
machines, et permet d'accéder aux informations suivantes : contact, qui peut
s'y connecter, clés SSH, etc.
</p>
        <p>
Si vous rencontrez un problème en utilisant un serveur Debian, et si vous
estimez que les administrateurs système devraient en être avertis, vous
pouvez vérifier la liste des tickets ouverts dans la file d'attente relative
aux <code class="literal">DSA</code> (administrateurs du système Debian
« <code class="literal">Debian System Administrators</code> ») du gestionnaire de
demandes (« <code class="literal">request tracker</code> ») sur <a class="ulink" href="https://rt.debian.org/">https://rt.debian.org/</a> (avec comme identifiant « debian » dont le mot de passe est disponible en
<code class="filename">master.debian.org:~debian/misc/rt-password</code>). Pour
signaler un nouveau problème, il suffit d'envoyer un message à
<code class="email">&lt;<a class="email" href="mailto:admin@rt.debian.org">admin@rt.debian.org</a>&gt;</code> en s'assurant d'indiquer « Debian RT » dans le sujet. Pour
contacter l’équipe DSA par courriel, utilisez <code class="email">&lt;<a class="email" href="mailto:dsa@debian.org">dsa@debian.org</a>&gt;</code>
pour toute chose privée ou confidentielle ne devant pas être publique, et
<code class="email">&lt;<a class="email" href="mailto:debian-admin@lists.debian.org">debian-admin@lists.debian.org</a>&gt;</code> pour tout autre chose. L’équipe
DSA est aussi présente sur le canal IRC d’OFTC
<code class="literal">#debian-admin</code> 
</p>
        <p>
Si le problème est lié à un service particulier, non relatif à
l'administration système (paquet à supprimer de l'archive ou suggestion pour
le site web par exemple), il faudra en général ouvrir un rapport de bogue
sur un « pseudopaquet ». Consultez <a class="xref" href="ch07.html#submit-bug" title="7.1. Signalement de bogues">Section 7.1, « Signalement de bogues »</a> pour
connaître la procédure à suivre.
</p>
        <p>
Certains serveurs de base sont à accès restreint, mais les informations de
ceux-ci sont fournies par d'autres serveurs miroirs.
</p>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="servers-bugs"/>4.4.1. Serveur de suivi des bogues (<code class="literal">BTS</code>)</h3>
              </div>
            </div>
          </div>
          <p>
<code class="literal">bugs.debian.org</code> est le serveur maître du système de suivi des
bogues (« <code class="literal">Bug Tracking System</code> » ou
<code class="literal">BTS</code>).
</p>
          <p>
Si vous envisagez de manipuler les bogues ou d'en faire une analyse
statistique, ce sera le bon endroit pour le faire. Informez la liste
<code class="email">&lt;<a class="email" href="mailto:debian-devel@lists.debian.org">debian-devel@lists.debian.org</a>&gt;</code> de votre intention avant d'implémenter quoi que ce soit
afin d'éviter un travail en double ou un gaspillage de temps machine.
</p>
        </div>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="servers-ftp-master"/>4.4.2. Serveur FTP principal <code class="literal">ftp-master</code></h3>
              </div>
            </div>
          </div>
          <p>
Le serveur <code class="literal">ftp-master.debian.org</code> est le serveur maître de
l'archive Debian. En général, les paquets envoyés à ftp.upload.debian.org
aboutissent sur ce serveur, voir <a class="xref" href="ch05.html#upload" title="5.6. Envois de paquets">Section 5.6, « Envois de paquets »</a>.
</p>
          <p>
Ce serveur est à accès restreint ; un miroir est disponible sur
<code class="literal">ries.debian.org</code>.
</p>
          <p>
Les problèmes avec l'archive Debian FTP doivent généralement être rapportés
comme bogues sur le pseudopaquet <code class="systemitem">ftp.debian.org</code> ou par courrier électronique à
<code class="email">&lt;<a class="email" href="mailto:ftpmaster@debian.org">ftpmaster@debian.org</a>&gt;</code> ; voir <a class="xref" href="ch05.html#archive-manip" title="5.9. Manipulation de paquet dans l'archive">Section 5.9, « Manipulation de paquet dans l'archive »</a> pour connaître la
procédure à suivre.
</p>
        </div>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="servers-www"/>4.4.3. Serveur web principal <code class="literal">www-master</code></h3>
              </div>
            </div>
          </div>
          <p>
Le serveur web principal est <code class="literal">www-master.debian.org</code>. Il
héberge les pages web officielles, la façade de Debian pour la plupart des
débutants.
</p>
          <p>
Si vous rencontrez un problème avec un serveur web Debian, vous devriez
envoyer un rapport de bogue sur le pseudopaquet <code class="systemitem">www.debian.org</code>. Vérifiez d'abord sur le <a class="ulink" href="https://bugs.debian.org/www.debian.org">système de suivi des
bogues</a> que le problème n'a pas déjà été signalé.
</p>
        </div>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="servers-people"/>4.4.4. Serveur web pour pages personnelles <code class="literal">people</code></h3>
              </div>
            </div>
          </div>
          <p>
<code class="literal">people.debian.org</code> est le serveur utilisé par les
développeurs pour leurs pages concernant Debian.
</p>
          <p>
Si vous avez des informations spécifiques à Debian que vous voulez rendre
disponibles sur le web, vous pouvez le faire en les plaçant dans le
répertoire <code class="filename">public_html</code> de votre répertoire personnel
sur <code class="literal">people.debian.org</code>. Elles seront accessibles à
l'adresse
<code class="literal">https://people.debian.org/~<em class="replaceable"><code>votre-identifiant</code></em>/</code>.
</p>
          <p>
Vous ne devriez utiliser que cet emplacement particulier car il sera
sauvegardé alors que sur les autres serveurs, ce ne sera pas le cas.
</p>
          <p>
Normalement, la seule raison d'utiliser un serveur différent est pour
publier des informations soumises aux restrictions d'exportation
américaines. Dans ce cas, vous pouvez utiliser un autre serveur situé en
dehors des États-Unis.
</p>
          <p>
Veuillez envoyer toute question à <code class="email">&lt;<a class="email" href="mailto:debian-devel@lists.debian.org">debian-devel@lists.debian.org</a>&gt;</code>.
</p>
        </div>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="servers-vcs"/>4.4.5. Serveurs de gestion de versions (<code class="literal">VCS</code>)</h3>
              </div>
            </div>
          </div>
          <p>
Si vous avez besoin d'une gestion de versions (« <code class="literal">Version Control
System</code> » ou <code class="literal">VCS</code>) pour tout travail relatif à
Debian, vous pouvez utiliser un des dépôts existants hébergés sur Alioth
(p. ex. le projet <code class="literal">collab-maint</code>) ou  demander un nouveau
projet avec le dépôt <code class="literal">VCS</code> de votre choix. Alioth gère
<code class="literal">CVS</code> (cvs.alioth.debian.org/cvs.debian.org),
<code class="literal">Subversion</code> (svn.debian.org), <code class="literal">Arch</code>
(tla/baz, tous deux sur arch.debian.org), <code class="literal">Bazaar</code>
(bzr.debian.org), <code class="literal">Darcs</code> (darcs.debian.org),
<code class="literal">Mercurial</code> (hg.debian.org) et <code class="literal">Git</code>
(git.debian.org). Consultez <a class="ulink" href="https://wiki.debian.org/Alioth/PackagingProject">https://wiki.debian.org/Alioth/PackagingProject</a> si vous avez
l'intention de maintenir un paquet dans un dépôt VCS. Voir <a class="xref" href="ch04.html#alioth" title="4.12. FusionForge pour Debian : Alioth">Section 4.12, « <code class="literal">FusionForge</code> pour Debian : <code class="literal">Alioth</code> »</a> pour plus d'informations sur les services fournis par
Alioth.
</p>
        </div>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="dchroot"/>4.4.6. Chroots de différentes distributions</h3>
              </div>
            </div>
          </div>
          <p>
Sur certaines machines, des chroots de différentes distributions sont
disponibles. Vous pouvez les utiliser comme ceci :
</p>
          <pre class="screen">
vore$ dchroot unstable
Interpréteur de commande dans le chroot : /org/vore.debian.org/chroots/user/unstable
</pre>
          <p>
Dans chaque chroot, les répertoires normaux des utilisateurs sont
disponibles. Vous pouvez trouver quels chroots sont disponibles sur <a class="ulink" href="https://db.debian.org/machines.cgi">https://db.debian.org/machines.cgi</a>.
</p>
        </div>
      </div>
      <div class="section">
        <div class="titlepage">
          <div>
            <div>
              <h2 class="title"><a id="devel-db"/>4.5. Base de données des développeurs</h2>
            </div>
          </div>
        </div>
        <p>
La base de données des développeurs, sur <a class="ulink" href="https://db.debian.org/">https://db.debian.org/</a>, est un annuaire LDAP regroupant des
informations sur les développeurs Debian. Vous pouvez utiliser cette
ressource pour rechercher la liste des développeurs Debian. Une partie de
ces informations est également disponible avec <code class="literal">finger</code> sur
les serveurs Debian, essayez <span class="command"><strong>finger
votreidentifiant@db.debian.org</strong></span> pour voir ce qu'il indique.
</p>
        <p>
Les développeurs peuvent <a class="ulink" href="https://db.debian.org/login.html">se connecter à
la base de données</a> pour modifier différentes informations les
concernant, comme :
</p>
        <div class="itemizedlist">
          <ul class="itemizedlist">
            <li class="listitem">
              <p>
l'adresse de suivi pour leur adresse debian.org ;
</p>
            </li>
            <li class="listitem">
              <p>
l'abonnement à debian-private ;
</p>
            </li>
            <li class="listitem">
              <p>
l'état en vacances ou non ;
</p>
            </li>
            <li class="listitem">
              <p>
des informations personnelles comme les adresse, pays, latitude et longitude
de l'endroit où ils vivent pour utilisation dans la <a class="ulink" href="https://www.debian.org/devel/developers.loc">carte mondiale des développeurs Debian</a>, numéros
de téléphone et de fax, surnom IRC et page web ;
</p>
            </li>
            <li class="listitem">
              <p>
le mot de passe et l’interpréteur de commande préféré sur les machines du
projet Debian.
</p>
            </li>
          </ul>
        </div>
        <p>
La plupart des informations ne sont naturellement pas publiques. Pour plus
d'informations, veuillez lire la documentation en ligne sur <a class="ulink" href="https://db.debian.org/doc-general.html">https://db.debian.org/doc-general.html</a>.
</p>
        <p>
Les développeurs peuvent également envoyer leurs clés SSH afin de les
utiliser pour authentification sur les machines Debian officielles, et même
ajouter de nouvelles entrées DNS du type *.debian.net. Ces fonctionnalités
sont documentées sur <a class="ulink" href="https://db.debian.org/doc-mail.html">https://db.debian.org/doc-mail.html</a>.
</p>
      </div>
      <div class="section">
        <div class="titlepage">
          <div>
            <div>
              <h2 class="title"><a id="archive"/>4.6. Archive Debian</h2>
            </div>
          </div>
        </div>
        <p>
La distribution Debian est composée d'un grand nombre de paquets
(environ 15000) et de quelques autres fichiers (comme la
documentation et les images de disque d'installation).
</p>
        <p>
Voici un exemple d'arborescence pour une archive Debian complète :
</p>
        <pre class="screen">dists/stable/main/
dists/stable/main/binary-amd64/
dists/stable/main/binary-armel/
dists/stable/main/binary-i386/
     ...
dists/stable/main/source/
     ...
dists/stable/main/disks-amd64/
dists/stable/main/disks-armel/
dists/stable/main/disks-i386/
     ...

dists/stable/contrib/
dists/stable/contrib/binary-amd64/
dists/stable/contrib/binary-armel/
dists/stable/contrib/binary-i386/
     ...
dists/stable/contrib/source/

dists/stable/non-free/
dists/stable/non-free/binary-amd64/
dists/stable/non-free/binary-armel/
dists/stable/non-free/binary-i386/
     ...
dists/stable/non-free/source/

dists/testing/
dists/testing/main/
     ...
dists/testing/contrib/
     ...
dists/testing/non-free/
     ...

dists/unstable
dists/unstable/main/
     ...
dists/unstable/contrib/
     ...
dists/unstable/non-free/
     ...

pool/
pool/main/a/
pool/main/a/apt/
     ...
pool/main/b/
pool/main/b/bash/
     ...
pool/main/liba/
pool/main/liba/libalias-perl/
     ...
pool/main/m/
pool/main/m/mailx/
     ...
pool/non-free/f/
pool/non-free/f/firmware-nonfree/
     ...</pre>
        <p>
Le répertoire racine contient deux répertoires : <code class="filename">dists/</code>
et <code class="filename">pool/</code>. Le second contient un ensemble de répertoires
où sont stockés les paquets, gérés dans la base de données de l'archive, et
les programmes d’accompagnement. Le premier répertoire contient les
distributions <code class="literal">stable</code>, <code class="literal">testing</code> et
<code class="literal">unstable</code>. Les fichiers <code class="filename">Packages</code> et
<code class="filename">Sources</code> des sous-répertoires de distribution font
référence aux fichiers du répertoire <code class="filename">pool/</code>. Le
découpage en sous-répertoires est identique d'une distribution à l'autre. Ce
qui est exposé ci-dessous pour la distribution <code class="literal">stable</code> est
également valable pour les distributions <code class="literal">unstable</code> et
<code class="literal">testing</code>.
</p>
        <p>
Le répertoire <code class="filename">dists/stable</code> contient trois répertoires
nommés <code class="filename">main</code>, <code class="filename">contrib</code>, et
<code class="filename">non-free</code>.
</p>
        <p>
Dans chacune de ces sections, se trouve un répertoire contenant les paquets
source (<code class="filename">source/</code>) et un répertoire pour chaque
architecture gérée (<code class="filename">binary-i386</code>,
<code class="filename">binary-amd64</code>, etc.).
</p>
        <p>
La section <code class="filename">main</code> contient d'autres répertoires destinés
aux images de disque et à plusieurs documents essentiels pour installer la
distribution Debian sur chaque architecture
(<code class="filename">disks-i386</code>, <code class="filename">disks-amd64</code>, etc.).
</p>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="archive-sections"/>4.6.1. Sections</h3>
              </div>
            </div>
          </div>
          <p>
La section <code class="literal">main</code> de l'archive constitue la <span class="strong"><strong>distribution Debian officielle</strong></span>. La section
<code class="literal">main</code> est officielle parce qu'elle est entièrement
conforme à toutes nos recommandations. Les deux autres sections divergent de
ces recommandations à différents degrés, elles ne font donc <span class="strong"><strong>pas</strong></span> officiellement partie de Debian.
</p>
          <p>
Chaque paquet de la section <code class="literal">main</code> doit être conforme aux
<a class="ulink" href="https://www.debian.org/social_contract#guidelines">directives Debian pour le logiciel libre
(« <code class="literal">Debian Free Software Guidelines</code> » ou
<code class="literal">DFSG</code>)</a> et à toutes les autres recommandations
décrites dans <a class="ulink" href="https://www.debian.org/doc/debian-policy/">la Charte Debian
(« <code class="literal">Debian Policy Manual</code> »)</a>. Les DFSG constituent
la définition de « logiciel libre » selon Debian. Reportez-vous à la charte
Debian pour en savoir plus.
</p>
          <p>
Les paquets de la section <code class="literal">contrib</code> doivent être conformes
aux DFSG, mais ne respectent pas d'autres contraintes. Ils peuvent, par
exemple, dépendre de paquets de la section <code class="literal">non-free</code>.
</p>
          <p>
Les paquets qui ne sont pas conformes aux DFSG sont classés dans la section
<code class="literal">non-free</code>. Bien qu'ils soient prêts à être utilisés sur un
système Debian, et qu'ils bénéficient des infrastructures de Debian (système
de suivi de bogues, listes de diffusion, etc.), ces paquets non libres ne
font pas partie de la distribution Debian.
</p>
          <p>
La <a class="ulink" href="https://www.debian.org/doc/debian-policy/">Charte Debian (« <code class="literal">Debian Policy
Manual</code> »)</a> donne des définitions plus précises de ces trois
sections. Les paragraphes précédents ne constituent qu'une introduction.
</p>
          <p>
La séparation de l'archive en trois sections est importante pour toute
personne qui désire distribuer Debian, que ce soit par Internet ou sur
CD-ROM : il suffit de distribuer les sections <code class="literal">main</code> et
<code class="literal">contrib</code> pour éviter tout problème légal. Certains paquets
de la section <code class="literal">non-free</code> interdisent leur distribution à
titre commercial par exemple.
</p>
          <p>
D'un autre côté, un distributeur de CD-ROM pourra facilement vérifier la
licence de chacun des paquets de la section <code class="literal">non-free</code> et
les intégrer si cela lui est autorisé (dans la mesure où cela varie
énormément d'un distributeur à l'autre, ce travail ne peut être fait par les
développeurs Debian).
</p>
          <p>
Le terme « section » est également utilisé pour faire référence aux
catégories (par exemple <code class="literal">admin</code>, <code class="literal">net</code>,
<code class="literal">utils</code>, etc.), ce qui simplifie l'organisation des paquets
disponibles et leur recherche. Il fut un temps où ces sections (ou plutôt
sous-sections) existaient sous forme de sous-répertoires dans l'archive
Debian. Maintenant, elles n'existent plus que dans le champ en-tête
<code class="literal">Section</code> des paquets.
</p>
        </div>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="s4.6.2"/>4.6.2. Architectures</h3>
              </div>
            </div>
          </div>
          <p>
À ses débuts, le noyau Linux existait seulement pour les architectures Intel
i386 (et compatible) ; il en était de même pour Debian. Linux devenant de
plus en plus populaire, le noyau a été porté vers d'autres architectures et
Debian a commencé à les gérer. Comme si la gestion de nombreuses nouvelles
architectures ne suffisait pas, Debian a décidé de construire des portages
sur d'autres noyaux de type <code class="literal">Unix</code>, comme
<code class="literal">hurd</code> et <code class="literal">kfreebsd</code>.
</p>
          <p>
Debian GNU/Linux 1.3 était disponible uniquement pour
<code class="literal">i386</code>. Debian 2.0 gérait les architectures
<code class="literal">i386</code> et <code class="literal">m68k</code>. Debian 2.1 gérait les
architectures <code class="literal">i386</code>, <code class="literal">m68k</code>,
<code class="literal">alpha</code> et <code class="literal">sparc</code>. Depuis, Debian a
considérablement évolué. Debian 6 gère un total de neuf architectures Linux
(<code class="literal">amd64</code>, <code class="literal">armel</code>,
<code class="literal">i386</code>, <code class="literal">ia64</code>, <code class="literal">mips</code>,
<code class="literal">mipsel</code>, <code class="literal">powerpc</code>,
<code class="literal">s390</code>, <code class="literal">sparc</code>) et deux architectures
kFreeBSD (<code class="literal">kfreebsd-i386</code> et
<code class="literal">kfreebsd-amd64</code>).
</p>
          <p>
Pour chaque portage, des informations destinées aux développeurs et
utilisateurs sont disponibles sur les <a class="ulink" href="https://www.debian.org/ports/">pages
de portages Debian</a>.
</p>
        </div>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="s4.6.3"/>4.6.3. Paquets</h3>
              </div>
            </div>
          </div>
          <p>
Il existe deux types de paquets Debian : les paquets
<code class="literal">sources</code> et les paquets <code class="literal">binaires</code>.
</p>
          <p>
Suivant son format, le paquet source peut être constitué d'un ou plusieurs
fichiers en plus du fichier obligatoire <code class="filename">.dsc</code> :
</p>
          <div class="itemizedlist">
            <ul class="itemizedlist">
              <li class="listitem">
                <p>soit un fichier <code class="filename">.tar.gz</code>, soit un fichier
<code class="filename">.orig.tar.gz</code> et un fichier
<code class="filename">.diff.gz</code> pour le format « 1.0 » ;</p>
              </li>
              <li class="listitem">
                <p>obligatoirement l'archive amont <code class="filename">.orig.tar.{gz,bz2,xz}</code>,
éventuellement plusieurs archives amont supplémentaires
<code class="filename">.orig-<em class="replaceable"><code>composant</code></em>.tar.{gz,bz2,xz}</code>
et l'archive debian obligatoire <code class="filename">debian.tar.{gz,bz2,xz}</code>
pour le format « 3.0 (quilt) » ;</p>
              </li>
              <li class="listitem">
                <p>une seule archive <code class="filename">.tar.{gz,bz2,xz}</code> pour le format
« 3.0 (native) ».</p>
              </li>
            </ul>
          </div>
          <p>
</p>
          <p>
Si un paquet est développé spécifiquement pour le projet Debian et n'est pas
distribué en dehors, il n'y a qu'un fichier
<code class="filename">.tar.{gz,bz2,xz}</code> qui contient les sources du programme,
il est appelé paquet source « natif » (« <code class="literal">native</code> »). Si un
paquet est distribué ailleurs aussi, le fichier
<code class="filename">.orig.tar.{gz,bz2,xz}</code> contient ce que l'on appelle le
<code class="literal">code source amont</code>, c'est-à-dire, le code source distribué
par le <code class="literal">responsable amont</code> (il s'agit souvent de l'auteur
du logiciel). Dans ce cas, le fichier <code class="filename">.diff.gz</code> ou
<code class="filename">debian.tar.{gz,bz2,xz}</code> contient les modifications
faites par le responsable Debian.
</p>
          <p>
Le fichier <code class="filename">.dsc</code> liste tous les fichiers sources avec
leurs sommes de contrôle (<span class="command"><strong>md5sums</strong></span>,
<span class="command"><strong>sha1sums</strong></span>, <span class="command"><strong>sha256sums</strong></span>) et quelques
informations supplémentaires concernant le paquet (responsable,
version, etc.).
</p>
        </div>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="s4.6.4"/>4.6.4. Distributions</h3>
              </div>
            </div>
          </div>
          <p>
L'organisation des répertoires présentée précédemment est elle-même contenue
dans les <code class="literal">répertoires de distributions</code>. Chaque
distribution est en fait incluse dans le répertoire
<code class="filename">pool</code> à la racine de l'archive Debian.
</p>
          <p>
Pour résumer, une archive Debian a un répertoire racine sur un serveur
FTP. Par exemple, sur le site miroir <code class="literal">ftp.fr.debian.org</code>,
l'archive Debian se trouve dans <a class="ulink" href="ftp://ftp.fr.debian.org/debian">/debian</a> qui est un emplacement
courant (un autre emplacement courant est <code class="filename">/pub/debian</code>).
</p>
          <p>
Une distribution est composée de paquets source et binaires, et des fichiers
<code class="filename">Sources</code> et <code class="filename">Packages</code>
correspondants, qui contiennent toutes les méta-informations sur les
paquets. Les premiers sont dans le répertoire <code class="filename">pool/</code>
tandis que les seconds sont dans le répertoire <code class="filename">dists/</code>
de l'archive (pour rétrocompatibilité).
</p>
          <div class="section">
            <div class="titlepage">
              <div>
                <div>
                  <h4 class="title"><a id="sec-dists"/>4.6.4.1. <code class="literal">Stable</code>, <code class="literal">testing</code>, et
<code class="literal">unstable</code></h4>
                </div>
              </div>
            </div>
            <p>
Il existe toujours une distribution appelée <code class="literal">stable</code> (dans
le répertoire <code class="filename">dists/stable</code>), une distribution appelée
<code class="literal">testing</code> (dans le répertoire
<code class="filename">dists/testing</code>), et une distribution appelée
<code class="literal">unstable</code> (dans le répertoire
<code class="filename">dists/unstable</code>). Cela reflète le processus de
développement du projet Debian.
</p>
            <p>
Les développements se font sur la distribution <code class="literal">unstable</code>
(c'est pourquoi elle est aussi appelée <code class="literal">distribution de
développement</code>). Chaque développeur Debian peut modifier ses
paquets à tout moment dans cette distribution. Ainsi son contenu change tous
les jours. Comme aucun effort particulier n'est fait pour s'assurer que tout
fonctionne correctement dans cette distribution, elle est parfois
littéralement « instable ».
</p>
            <p>
La distribution <a class="link" href="ch05.html#testing" title="5.13. La distribution testing">testing</a> est générée
automatiquement en prenant les paquets d'<code class="literal">unstable</code> s'ils
satisfont à certains critères. Ces critères devraient garantir la bonne
qualité des paquets de <code class="literal">testing</code>. La mise à jour de
<code class="literal">testing</code> est effectuée deux fois par jour après
l'installation des nouveaux paquets. Voir <a class="xref" href="ch05.html#testing" title="5.13. La distribution testing">Section 5.13, « La distribution <code class="literal">testing</code> »</a>.
</p>
            <p>
Après une période de développement, quand l'équipe de publication
(« <code class="literal">release team</code> ») le juge opportun, la distribution
<code class="literal">testing</code> est gelée, ce qui signifie que les conditions à
remplir pour qu'un paquet passe d'<code class="literal">unstable</code> à
<code class="literal">testing</code> sont durcies. Les paquets trop bogués sont
supprimés et les seules mises à jours autorisées concernent les corrections
de bogues. Après quelque temps, selon l'avancement, la distribution
<code class="literal">testing</code> est gelée encore plus. Les détails de la gestion
de la distribution <code class="literal">testing</code> sont publiés par l'équipe de
publication sur la liste debian-devel-announce. Une fois les derniers
problèmes résolus de façon satisfaisante pour l'équipe de publication, la
distribution est publiée. La publication signifie que
<code class="literal">testing</code> est renommée en <code class="literal">stable</code>, une
nouvelle copie est créée pour la nouvelle <code class="literal">testing</code>, et
l'ancienne <code class="literal">stable</code> est renommée en
<code class="literal">oldstable</code> et y reste jusqu'à ce qu'elle soit finalement
archivée. Lors de l'archivage, son contenu est déplacé sur
<code class="literal">archive.debian.org</code>.
</p>
            <p>
Ce cycle de développement est basé sur l'idée que la distribution
<code class="literal">unstable</code> devient <code class="literal">stable</code> après une
période de test dans <code class="literal">testing</code>. Une distribution contient
inévitablement des bogues, même si elle est classée stable. C'est pourquoi
la distribution stable est mise à jour de temps en temps. Les corrections
introduites sont testées avec une grande attention et sont ajoutées une à
une à l'archive pour diminuer les risques d'introduire de nouveaux
bogues. Vous pouvez trouver les paquets proposés pour la prochaine mise à
jour de <code class="literal">stable</code> dans le répertoire
<code class="filename">proposed-updates</code>. De temps en temps, ces paquets du
répertoire <code class="filename">proposed-updates</code> qui n'introduisent pas de
régression sont installés ensemble dans la distribution
<code class="literal">stable</code> et le numéro de révision de cette distribution est
incrémenté (« 6.0 » devient « 6.0.1 », « 5.0.7 » devient « 5.0.8 » et ainsi
de suite). Veuillez vous référer aux <a class="link" href="ch05.html#upload-stable" title="5.5.1. Cas particulier : distributions stable et oldstable">envois
dans la distribution <code class="literal">stable</code></a> pour plus de détails.
</p>
            <p>
Pendant la période de gel, les développements continuent sur la distribution
<code class="literal">unstable</code> car cette distribution reste en place
parallèlement à <code class="literal">testing</code>.
</p>
          </div>
          <div class="section">
            <div class="titlepage">
              <div>
                <div>
                  <h4 class="title"><a id="s4.6.4.2"/>4.6.4.2. Informations complémentaires sur la distribution <code class="literal">testing</code></h4>
                </div>
              </div>
            </div>
            <p>
Les paquets sont habituellement installés dans la distribution
<code class="literal">testing</code> après avoir subi suffisamment de tests dans
<code class="literal">unstable</code>.
</p>
            <p>
Pour plus de détails, veuillez consulter les <a class="link" href="ch05.html#testing" title="5.13. La distribution testing">informations à propos de la distribution
<code class="literal">testing</code></a>.
</p>
          </div>
          <div class="section">
            <div class="titlepage">
              <div>
                <div>
                  <h4 class="title"><a id="experimental"/>4.6.4.3. <code class="literal">Experimental</code></h4>
                </div>
              </div>
            </div>
            <p>
La distribution <code class="literal">experimental</code> est particulière. Ce n'est
pas une distribution à part entière comme le sont <code class="literal">stable</code>,
<code class="literal">testing</code> et <code class="literal">unstable</code>. Elle sert de
plate-forme de développement pour les projets expérimentaux qui risquent
vraiment de détruire le système ou pour des logiciels vraiment trop
instables pour être inclus dans la distribution <code class="literal">unstable</code>
(mais pour lesquels une mise en paquet est justifiée). Les utilisateurs qui
téléchargent et installent des paquets d'<code class="literal">experimental</code>
sont prévenus : on ne peut pas faire confiance à la distribution
<code class="literal">experimental</code>.
</p>
            <p>
Voici les lignes de <span class="citerefentry"><span class="refentrytitle">sources.list</span>(5)</span> pour <code class="literal">experimental</code> :
</p>
            <pre class="programlisting">
deb http://ftp.<em class="replaceable"><code>xy</code></em>.debian.org/debian/ experimental main
deb-src http://ftp.<em class="replaceable"><code>xy</code></em>.debian.org/debian/ experimental main
</pre>
            <p>
Si un logiciel peut causer des dégâts importants, il sera sûrement
préférable de le mettre dans la distribution
<code class="literal">experimental</code>. Un système de fichiers compressé
expérimental, par exemple, devrait probablement aller dans
<code class="literal">experimental</code>.
</p>
            <p>
Une nouvelle version amont de paquet qui introduit de nouvelles fonctions
tout en supprimant de nombreuses autres ne devra pas être ajoutée à
l'archive Debian, elle pourra cependant être ajoutée à
<code class="literal">experimental</code>. Une nouvelle version non finalisée d'un
logiciel qui utilise une méthode de configuration complètement différente
pourrait aller dans <code class="literal">experimental</code> au gré du
responsable. Si vous travaillez sur un cas de mise à niveau complexe ou
incompatible, vous pouvez aussi utiliser <code class="literal">experimental</code>
comme plate-forme d'intégration et ainsi fournir un accès aux testeurs.
</p>
            <p>
Quelques logiciels expérimentaux peuvent cependant aller dans
<code class="literal">unstable</code>, avec un avertissement dans la description, mais
ce n'est pas recommandé car les paquets d'<code class="literal">unstable</code> se
propagent dans <code class="literal">testing</code> et aboutissent dans
<code class="literal">stable</code>. Vous ne devriez pas avoir peur d'utiliser
<code class="literal">experimental</code> car cela ne cause aucun souci aux
responsables de l'archive (« <code class="literal">ftpmasters</code> »), les paquets
expérimentaux sont périodiquement enlevés quand vous envoyez le paquet dans
<code class="literal">unstable</code> avec un numéro de version supérieur.
</p>
            <p>
Un nouveau logiciel qui ne risque pas d'endommager le système ira
directement dans <code class="literal">unstable</code>.
</p>
            <p>
Une solution de rechange à <code class="literal">experimental</code> consiste à
utiliser vos pages personnelles sur le serveur
<code class="literal">people.debian.org</code>.
</p>
          </div>
        </div>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="codenames"/>4.6.5. Noms de code des distributions</h3>
              </div>
            </div>
          </div>
          <p>
Every released Debian distribution has a <code class="literal">code name</code>:
Debian 6.0 is called
<code class="literal">squeeze</code>; Debian 7,
<code class="literal">wheezy</code>; Debian 8,
<code class="literal">jessie</code>; the next release Debian
9 will be called <code class="literal">stretch</code> and
Debian 10 will be called
<code class="literal">buster</code>.  There is also a
``pseudo-distribution'', called <code class="literal">sid</code>, which is the current
<code class="literal">unstable</code> distribution; since packages are moved from
<code class="literal">unstable</code> to <code class="literal">testing</code> as they approach
stability, <code class="literal">sid</code> itself is never released.  As well as the
usual contents of a Debian distribution, <code class="literal">sid</code> contains
packages for architectures which are not yet officially supported or
released by Debian.  These architectures are planned to be integrated into
the mainstream distribution at some future date.  The codenames and versions
for older releases are <a class="ulink" href="https://www.debian.org/releases/">listed</a> on the
website.
</p>
          <p>
Comme Debian est un projet de développement ouvert (où tout le monde peut
participer et suivre les développements), même les distributions
<code class="literal">unstable</code> et <code class="literal">testing</code> sont disponibles
sur les serveurs HTTP et FTP de Debian. Si nous avions nommé le répertoire
qui contient la future distribution « <code class="literal">testing</code> », il
aurait fallu changer son nom en « <code class="literal">stable</code> » au moment de
la publication, ce qui aurait forcé les miroirs FTP à télécharger de nouveau
la distribution complète (qui est plutôt volumineuse).
</p>
          <p>
D'un autre côté, si une distribution s'appelait
<code class="literal">Debian-x.y</code> dès le départ, des personnes pourraient
s'imaginer que la version <code class="literal">x.y</code> de Debian est
disponible. (Cela s'est produit par le passé : un distributeur avait gravé
un CD-ROM Debian 1.0 en utilisant une version de développement
pré-1.0. C'est pour cette raison que la première version officielle était la
version 1.1 et non la 1.0.)
</p>
          <p>
Thus, the names of the distribution directories in the archive are
determined by their code names and not their release status (e.g.,
`jessie'). These names stay the same during the development
period and after the release; symbolic links, which can be changed easily,
indicate the currently released stable distribution.  That's why the real
distribution directories use the <code class="literal">code names</code>, while
symbolic links for <code class="literal">stable</code>, <code class="literal">testing</code>,
and <code class="literal">unstable</code> point to the appropriate release
directories.
</p>
        </div>
      </div>
      <div class="section">
        <div class="titlepage">
          <div>
            <div>
              <h2 class="title"><a id="mirrors"/>4.7. Miroirs Debian</h2>
            </div>
          </div>
        </div>
        <p>
Les différentes archives de téléchargement et le site web disposent de
plusieurs miroirs pour soulager les serveurs principaux d'une charge
importante. En fait, certains serveurs principaux ne sont pas publics — la
charge est répartie sur une première série de serveurs. De cette façon, les
utilisateurs ont toujours accès aux miroirs et s'y habituent, ce qui permet
à Debian de mieux répartir les besoins en bande passante sur plusieurs
serveurs et réseaux, et évite aux utilisateurs de surcharger l'emplacement
primaire. Dans cette première série, les serveurs sont aussi à jour que
possible car la mise à jour est déclenchée par les sites maîtres internes.
</p>
        <p>
Toutes les informations sur les miroirs Debian peuvent être trouvées sur
<a class="ulink" href="https://www.debian.org/mirror/">https://www.debian.org/mirror/</a>, y compris une liste des miroirs
publics disponibles par FTP et HTTP. Cette page utile inclut également des
informations et des outils pour créer son propre miroir, en interne ou pour
un accès public.
</p>
        <p>
Les miroirs sont souvent mis en œuvre par des tiers qui veulent aider
Debian. C'est pourquoi les développeurs n'ont en général pas de compte sur
ces machines.
</p>
      </div>
      <div class="section">
        <div class="titlepage">
          <div>
            <div>
              <h2 class="title"><a id="incoming-system"/>4.8. Système « <code class="literal">Incoming</code> »</h2>
            </div>
          </div>
        </div>
        <p>
Le système « <code class="literal">Incoming</code> » est responsable de la collecte
des paquets mis à jour et leur installation dans l'archive Debian. Il est
constitué d'un ensemble de répertoires et de scripts sur
<code class="literal">ftp-master.debian.org</code>.
</p>
        <p>
Les paquets sont envoyés par tous les responsables Debian dans un répertoire
nommé <code class="filename">UploadQueue</code>. Ce répertoire est parcouru toutes
les quelques minutes par un démon appelé <span class="command"><strong>queued</strong></span>, les
fichiers <code class="filename">*.command</code> sont exécutés et les fichiers
<code class="filename">*.changes</code> restants et correctement signés sont déplacés
avec leurs fichiers correspondants dans le répertoire
<code class="filename">unchecked</code>. Ce répertoire n'est pas visible pour la
plupart des développeurs car ftp-master est à accès restreint ; il est
parcouru toutes les 15 minutes par le script <span class="command"><strong>dak
process-upload</strong></span> qui vérifie l'intégrité des paquets envoyés et
leurs signatures numériques. Si le paquet est considéré comme prêt à être
installé, il est déplacé dans le répertoire <code class="filename">done</code>. S'il
s'agit du premier envoi du paquet (ou s'il a de nouveaux paquets binaires),
il est déplacé dans le répertoire <code class="filename">new</code> où il attend
l'approbation des responsables de l'archive. Si le paquet contient des
fichiers devant être installés manuellement, il est déplacé dans le
répertoire <code class="filename">byhand</code> où il attend une installation
manuelle par les responsables de l'archive. Sinon, quand une erreur a été
détectée, le paquet est refusé et déplacé dans le répertoire
<code class="filename">reject</code>.
</p>
        <p>
Une fois le paquet accepté, le système envoie une confirmation par courrier
au responsable et ferme les bogues corrigés. Ensuite, les compilateurs
automatiques peuvent commencer leur travail. À ce moment, le paquet est
accessible sur <a class="ulink" href="http://incoming.debian.org/">http://incoming.debian.org/</a> avant d'être vraiment
installé dans l'archive Debian. Cette opération se produit quatre fois par
jour (elle est aussi appelée « <code class="literal">dinstall run</code> » pour des
raisons historiques) ; le paquet est alors supprimé de
<code class="filename">incoming</code> et installé dans le <code class="filename">pool</code>
avec les autres paquets. Une fois toutes les autres mises à jour
(fabrication des nouveaux fichiers d'index <code class="filename">Packages</code> et
<code class="filename">Sources</code> par exemple) effectuées, un script spécifique
déclenche la mise à jour les miroirs primaires.
</p>
        <p>
Le logiciel de maintenance de l'archive enverra également le fichier
<code class="filename">.changes</code> signé avec OpenPGP/GnuPG à la liste de
diffusion appropriée. Pour un paquet avec le champ
<code class="literal">Distribution</code> à « <code class="literal">stable</code> », l'annonce
sera envoyée à <code class="email">&lt;<a class="email" href="mailto:debian-changes@lists.debian.org">debian-changes@lists.debian.org</a>&gt;</code>. Pour un paquet avec le champ
<code class="literal">Distribution</code> à « <code class="literal">unstable</code> » ou
« <code class="literal">experimental</code> », l'annonce sera plutôt envoyée à
<code class="email">&lt;<a class="email" href="mailto:debian-devel-changes@lists.debian.org">debian-devel-changes@lists.debian.org</a>&gt;</code> ou  <code class="email">&lt;<a class="email" href="mailto:debian-experimental-changes@lists.debian.org">debian-experimental-changes@lists.debian.org</a>&gt;</code>.
</p>
        <p>
Bien que ftp-master soit à accès restreint, une copie de l'installation est
disponible à tous les développeurs sur
<code class="literal">ries.debian.org</code>.
</p>
      </div>
      <div class="section">
        <div class="titlepage">
          <div>
            <div>
              <h2 class="title"><a id="pkg-info"/>4.9. Informations sur un paquet</h2>
            </div>
          </div>
        </div>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="pkg-info-web"/>4.9.1. Sur le web</h3>
              </div>
            </div>
          </div>
          <p>
Chaque paquet a plusieurs pages web
dédiées.
<code class="literal">https://packages.debian.org/<em class="replaceable"><code>nom-de-paquet</code></em></code>
affiche chaque version du paquet disponible dans les différentes
distributions. Chaque version fait un lien vers une page qui fournit des
informations détaillées comme la description du paquet, les dépendances et
des liens pour télécharger le paquet.
</p>
          <p>
Le système de suivi des bogues trie les bogues par paquet. Les bogues de
chaque paquet sont disponibles sur
<code class="literal">https://bugs.debian.org/<em class="replaceable"><code>nom-de-paquet</code></em></code>.
</p>
        </div>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="dak-ls"/>4.9.2. Utilitaire <span class="command"><strong>dak ls</strong></span></h3>
              </div>
            </div>
          </div>
          <p>
<span class="command"><strong>dak ls</strong></span> fait partie de la suite <code class="literal">dak</code>
(« <code class="literal">Debian Archive Kit</code> ») et liste les versions
disponibles de paquet pour toutes les distributions et architectures
connues. L'outil <span class="command"><strong>dak</strong></span> est disponible sur
<code class="literal">ftp-master.debian.org </code> et sur le miroir
<code class="literal">ries.debian.org</code>. Il utilise un seul paramètre qui
correspond au nom du paquet. Un exemple vaut mieux qu'un long discours :
</p>
          <pre class="screen">
$ dak ls evince
evince | 0.1.5-2sarge1 |     oldstable | source, alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
evince |    0.4.0-5 |     etch-m68k | source, m68k
evince |    0.4.0-5 |        stable | source, alpha, amd64, arm, hppa, i386, ia64, mips, mipsel, powerpc, s390, sparc
evince |   2.20.2-1 |       testing | source
evince | 2.20.2-1+b1 |       testing | alpha, amd64, arm, armel, hppa, i386, ia64, mips, mipsel, powerpc, s390, sparc
evince |   2.22.2-1 |      unstable | source, alpha, amd64, arm, armel, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
</pre>
          <p>
Dans cet exemple, on peut voir que la version dans
<code class="literal">unstable</code> n'est pas la même que dans
<code class="literal">testing</code> où seul le binaire a été mis à jour
indépendamment (« <code class="literal">binary-only NMU</code> ») pour toutes les
architectures. Chaque version du paquet a été recompilée sur toutes les
architectures.
</p>
        </div>
      </div>
      <div class="section">
        <div class="titlepage">
          <div>
            <div>
              <h2 class="title"><a id="pkg-tracker"/>4.10. The Debian Package Tracker</h2>
            </div>
          </div>
        </div>
        <p>
The Debian Package Tracker is an email and web-based tool to track the
activity of a source package. You can get the same emails that the package
maintainer gets, simply by subscribing to the package in the Debian Package
Tracker.
</p>
        <p>
Each email sent through the package tracker is classified under one of the
keywords listed below.  This will let you select the mails that you want to
receive.
</p>
        <p>
Par défaut, sont reçus :
</p>
        <div class="variablelist">
          <dl class="variablelist">
            <dt>
              <span class="term">
                <code class="literal">bts</code>
              </span>
            </dt>
            <dd>
              <p>
tous les rapports de bogue et les discussions qui suivent ;
</p>
            </dd>
            <dt>
              <span class="term">
                <code class="literal">bts-control</code>
              </span>
            </dt>
            <dd>
              <p>
les courriers d'information de <code class="email">&lt;<a class="email" href="mailto:control@bugs.debian.org">control@bugs.debian.org</a>&gt;</code> lors des
changements d'état de rapport de bogue ;
</p>
            </dd>
            <dt>
              <span class="term">
                <code class="literal">upload-source</code>
              </span>
            </dt>
            <dd>
              <p>
le courrier d'information de <span class="command"><strong>dak</strong></span> quand un paquet source
est accepté ;
</p>
            </dd>
            <dt>
              <span class="term">
                <code class="literal">archive</code>
              </span>
            </dt>
            <dd>
              <p>
Other warning and error emails from <span class="command"><strong>dak</strong></span> (such as an
override disparity for the section and/or the priority field). Also includes
notifications of package removals.
</p>
            </dd>
            <dt>
              <span class="term">
                <code class="literal">build</code>
              </span>
            </dt>
            <dd>
              <p>
les courriers d'information envoyés par le réseau des démons de compilation,
qui mentionnent un lien vers les journaux de compilation afin de les
analyser ;
</p>
            </dd>
            <dt>
              <span class="term">
                <code class="literal">default</code>
              </span>
            </dt>
            <dd>
              <p>
Any non-recognized email sent to the package tracker through
<code class="literal">dispatch+<em class="replaceable"><code>sourcepackage</code></em>@tracker.debian.org</code>.
In order to prevent spam, all messages sent to these addresses must contain
the <code class="literal">X-Distro-Tracker-Approved</code> header with a non-empty
value.
</p>
            </dd>
            <dt>
              <span class="term">
                <code class="literal">contact</code>
              </span>
            </dt>
            <dd>
              <p>
les courriers envoyés au responsable à travers l'alias
<code class="literal">*@packages.debian.org</code> ;
</p>
            </dd>
            <dt>
              <span class="term">
                <code class="literal">summary</code>
              </span>
            </dt>
            <dd>
              <p>
Regular summary emails about the package's status, including progression
into <code class="literal">testing</code>. Ideally it should also include
notifications of new upstream versions, and a notification if the package is
orphaned (but this is not yet the case).
</p>
            </dd>
          </dl>
        </div>
        <p>
Il est également possible de recevoir des informations supplémentaires :
</p>
        <div class="variablelist">
          <dl class="variablelist">
            <dt>
              <span class="term">
                <code class="literal">upload-binary</code>
              </span>
            </dt>
            <dd>
              <p>
The email notification from <span class="command"><strong>dak</strong></span> when an uploaded binary
package is accepted.  In other words, whenever a build daemon or a porter
uploads your package for another architecture, you can get an email to track
how your package gets recompiled for all architectures.
</p>
            </dd>
            <dt>
              <span class="term">
                <code class="literal">vcs</code>
              </span>
            </dt>
            <dd>
              <p>
VCS commit notifications, if the package has a VCS repository and the
maintainer has set up forwarding of commit notifications to the package
tracker.
</p>
            </dd>
            <dt>
              <span class="term">
                <code class="literal">translation</code>
              </span>
            </dt>
            <dd>
              <p>
les traductions de descriptions ou de questionnaires debconf soumis au
projet de traduction des descriptions de paquets (« <code class="literal">Debian
Description Translation Project</code> » ou <code class="literal">DDTP</code> ;
</p>
            </dd>
            <dt>
              <span class="term">
                <code class="literal">derivatives</code>
              </span>
            </dt>
            <dd>
              <p>
des informations sur les changements effectués sur le paquet dans les
distributions dérivées (<code class="literal">Ubuntu</code> par exemple).
</p>
            </dd>
            <dt>
              <span class="term">
                <code class="literal">derivatives-bugs</code>
              </span>
            </dt>
            <dd>
              <p>
les rapports de bogue et leurs commentaires dans les distributions dérivées
(<code class="literal">Ubuntu</code> par exemple).
</p>
            </dd>
          </dl>
        </div>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="pkg-tracker-commands"/>4.10.1. The package tracker email interface</h3>
              </div>
            </div>
          </div>
          <p>
You can control your subscription(s) to the package tracker by sending
various commands to <code class="email">&lt;<a class="email" href="mailto:control@tracker.debian.org">control@tracker.debian.org</a>&gt;</code>.
</p>
          <div class="variablelist">
            <dl class="variablelist">
              <dt>
                <span class="term">
                  <code class="literal">subscribe &lt;paquet-source&gt; [&lt;adresse&gt;]</code>
                </span>
              </dt>
              <dd>
                <p>
Subscribes <em class="replaceable"><code>email</code></em> to communications related to the
source package <em class="replaceable"><code>sourcepackage</code></em>.  Sender address is
used if the second argument is not present.  If
<em class="replaceable"><code>sourcepackage</code></em> is not a valid source package,
you'll get a warning.  However if it's a valid binary package, the package
tracker will subscribe you to the corresponding source package.
</p>
              </dd>
              <dt>
                <span class="term">
                  <code class="literal">unsubscribe &lt;paquet-source&gt; [&lt;adresse&gt;]</code>
                </span>
              </dt>
              <dd>
                <p>
Supprime une inscription au paquet source
<em class="replaceable"><code>paquet-source</code></em> en utilisant l'adresse spécifiée ou
l'adresse de l'expéditeur si le second paramètre n'est pas rempli.
</p>
              </dd>
              <dt>
                <span class="term">
                  <code class="literal">unsubscribeall [&lt;adresse&gt;]</code>
                </span>
              </dt>
              <dd>
                <p>
Supprime toutes les inscriptions de l'adresse spécifiée ou de l'adresse de
l'expéditeur si le second paramètre n'est pas rempli.
</p>
              </dd>
              <dt>
                <span class="term">
                  <code class="literal">which [&lt;adresse&gt;]</code>
                </span>
              </dt>
              <dd>
                <p>
Liste les inscriptions pour l'expéditeur ou pour l'adresse indiquée si elle
est spécifiée.
</p>
              </dd>
              <dt>
                <span class="term">
                  <code class="literal">keyword [&lt;adresse&gt;]</code>
                </span>
              </dt>
              <dd>
                <p>
Tells you the keywords that you are accepting.  For an explanation of
keywords, <a class="link" href="ch04.html#pkg-tracker" title="4.10. The Debian Package Tracker">see above</a>.
</p>
              </dd>
              <dt>
                <span class="term">
                  <code class="literal">keyword &lt;paquet-source&gt; [&lt;adresse&gt;]</code>
                </span>
              </dt>
              <dd>
                <p>
Identique à l'élément précédent, mais pour un paquet source donné car il est
possible de sélectionner un ensemble de mots-clés différent pour chaque
paquet source.
</p>
              </dd>
              <dt>
                <span class="term">
                  <code class="literal">keyword [&lt;adresse&gt;] {+|-|=} &lt;liste de
mots-clés&gt;</code>
                </span>
              </dt>
              <dd>
                <p>
Accepte (+) ou refuse (-) les courriers classés dans la liste de
mots-clés. Définit la liste (=) des mots-clés acceptés. Cela change
l'ensemble par défaut des mots-clés acceptés par un utilisateur.
</p>
              </dd>
              <dt>
                <span class="term">
                  <code class="literal">keywordall [&lt;adresse&gt;] {+|-|=} &lt;liste de
mots-clés&gt;</code>
                </span>
              </dt>
              <dd>
                <p>
Accepte (+) ou refuse (-) les courriers classés dans la liste de
mots-clés. Définit la liste (=) des mots-clés acceptés. Cela change les
mots-clés de toutes les inscriptions en cours d'un utilisateur.
</p>
              </dd>
              <dt>
                <span class="term">
                  <code class="literal">keyword &lt;sourcepackage&gt; [&lt;adresse&gt;] {+|-|=} &lt;liste
de mots-clés&gt;</code>
                </span>
              </dt>
              <dd>
                <p>
Identique à l'élément précédent, mais remplace la liste des mots-clés pour
le paquet source indiqué.
</p>
              </dd>
              <dt>
                <span class="term">
                  <code class="literal">quit | thanks | --</code>
                </span>
              </dt>
              <dd>
                <p>
Arrête le traitement des commandes. Toutes les lignes suivantes sont
ignorées par le robot.
</p>
              </dd>
            </dl>
          </div>
          <p>
L'utilitaire en ligne de commande <span class="command"><strong>pts-subscribe</strong></span> (du
paquet <code class="systemitem">devscripts</code>) peut être
pratique pour s'inscrire temporairement à certains paquets, par exemple
après avoir fait une mise à jour indépendante (NMU).
</p>
        </div>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="pkg-tracker-mail-filtering"/>4.10.2. Filtering mails from the package tracker</h3>
              </div>
            </div>
          </div>
          <p>
Once you are subscribed to a package, you will get mails forwarded by the
package tracker. Those mails have special headers appended to let you filter
them in a special mailbox (e.g.  with <span class="command"><strong>procmail</strong></span>).  The
added headers are <code class="literal">X-Loop</code>,
<code class="literal">X-Distro-Tracker-Package</code>,
<code class="literal">X-Distro-Tracker-Keyword</code>,
<code class="literal">X-Debian-Package</code>, <code class="literal">X-Debian</code> and
<code class="literal">List-Unsubscribe</code>.
</p>
          <p>
Voici un exemple d'en-têtes ajoutés pour une notification d'envoi de source
sur le paquet <code class="systemitem">dpkg</code> :
</p>
          <pre class="screen">
X-Loop: dispatch@tracker.debian.org
X-Distro-Tracker-Package: dpkg
X-Distro-Tracker-Keyword: upload-source
X-Debian-Package: dpkg
X-Debian: tracker.debian.org
List-Unsubscribe: &lt;mailto:control@tracker.debian.org?body=unsubscribe%20dpkg&gt;
</pre>
        </div>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="pkg-tracker-vcs-commit"/>4.10.3. Forwarding VCS commits to the package tracker</h3>
              </div>
            </div>
          </div>
          <p>
If you use a publicly accessible VCS repository for maintaining your Debian
package, you may want to forward the commit notification to the package
tracker so that the subscribers (and possible co-maintainers) can closely
follow the package's evolution.
</p>
          <p>
Once you set up the VCS repository to generate commit notifications, you
just have to make sure it sends a copy of those mails to the package tracker
at <code class="literal">dispatch@tracker.debian.org</code> or at
<code class="literal">dispatch+<em class="replaceable"><code>sourcepackage</code></em>_vcs@tracker.debian.org</code>.
In the former case, you must make sure that the package tracker is able to
identify the source package and the appropriate keyword... either by adding
the headers <code class="literal">X-Distro-Tracker-Package:
<em class="replaceable"><code>sourcepackage</code></em></code> and
<code class="literal">X-Distro-Tracker-Keyword: vcs</code> or by relying on the fact
that the package tracker will detect the <code class="literal">X-Git-Repo</code>
header and assume that the name of the git repository matches a source
package.
</p>
          <p>
Pour les dépôts <code class="literal">Subversion</code>, il est conseillé d'utiliser
<code class="systemitem">svnmailer</code>. Voir <a class="ulink" href="https://wiki.debian.org/Alioth/PackagingProject">https://wiki.debian.org/Alioth/PackagingProject</a> pour un exemple de mise en place.
</p>
        </div>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="pts-web"/>4.10.4. The package tracker web interface</h3>
              </div>
            </div>
          </div>
          <p>
The package tracker has a web interface at <a class="ulink" href="https://tracker.debian.org/">https://tracker.debian.org/</a> that puts together a lot of
information about each source package.  It features many useful links (BTS,
QA stats, contact information, DDTP translation status, buildd logs) and
gathers much more information from various places (30 latest changelog
entries, testing status, etc.).  It's a very useful tool if you want to know
what's going on with a specific source package.  Furthermore, once
authenticated, you can subscribe and unsubscribe from any package with a
single click.
</p>
          <p>
You can jump directly to the web page concerning a specific source package
with a URL like
<code class="literal">https://tracker.debian.org/pkg/<em class="replaceable"><code>sourcepackage</code></em></code>.
</p>
          <p>
The web interface is easy to extend and you are welcome to integrate more
useful data in it. If you want to contribute, have a look at <a class="ulink" href="https://tracker.debian.org/docs/contributing.html">https://tracker.debian.org/docs/contributing.html</a>.
</p>
        </div>
      </div>
      <div class="section">
        <div class="titlepage">
          <div>
            <div>
              <h2 class="title"><a id="ddpo"/>4.11. Vue d'ensemble des paquets d'un développeur</h2>
            </div>
          </div>
        </div>
        <p>
Un portail web pour l'assurance qualité (« <code class="literal">quality
assurance</code> » ou <code class="literal">QA</code>) sur <a class="ulink" href="https://qa.debian.org/developer.php">https://qa.debian.org/developer.php</a> affiche un tableau de tous les paquets d'un
développeur (y compris ceux pour lesquels il est co-responsable). Le tableau
donne un bon résumé sur les paquets d'un développeur : nombre de bogues par
gravité, liste des versions disponibles, état des tests et des liens vers
d'autres informations utiles.
</p>
        <p>
C'est une bonne idée de vérifier régulièrement vos données pour ne pas
oublier de bogues ouverts et quels paquets sont sous votre responsabilité.
</p>
      </div>
      <div class="section">
        <div class="titlepage">
          <div>
            <div>
              <h2 class="title"><a id="alioth"/>4.12. <code class="literal">FusionForge</code> pour Debian : <code class="literal">Alioth</code></h2>
            </div>
          </div>
        </div>
        <p>
Alioth est un service de Debian basé sur une version légèrement modifiée du
logiciel <code class="literal">FusionForge</code> (qui a évolué à partir de
<code class="literal">SourceForge</code> et <code class="literal">GForge</code>). Ce logiciel
offre aux développeurs l'accès à des outils faciles d'utilisation comme un
gestionnaire de suivi de bogues, un gestionnaire de correctifs, un
gestionnaire de tâches et de projets, un service d'hébergement de fichiers,
des listes de diffusion, des systèmes de gestion de versions, etc. Tous ces
outils sont gérés à l'aide d'une interface web.
</p>
        <p>
Alioth a pour but de fournir une infrastructure pour des projets de
logiciels libres soutenus ou dirigés par Debian, de faciliter les
contributions de développeurs externes aux projets initiés par Debian et
d'aider des projets dont les buts sont de promouvoir Debian ou ses
dérivés. Il est largement utilisé par de nombreuses équipes et fournit
l'hébergement pour toutes sortes de systèmes de gestion de versions.
</p>
        <p>
Tous les développeurs Debian ont automatiquement un compte sur Alioth. Ils
peuvent l'activer en utilisant la fonctionnalité de récupération des mots de
passe. Les développeurs externes peuvent demander un compte invité sur
Alioth.
</p>
        <p>
Des informations supplémentaires sont disponibles sur les liens suivants :
</p>
        <div class="itemizedlist">
          <ul class="itemizedlist">
            <li class="listitem">
              <p>
                <a class="ulink" href="https://wiki.debian.org/Alioth">https://wiki.debian.org/Alioth</a>
              </p>
            </li>
            <li class="listitem">
              <p>
                <a class="ulink" href="https://wiki.debian.org/Alioth/FAQ">https://wiki.debian.org/Alioth/FAQ</a>
              </p>
            </li>
            <li class="listitem">
              <p>
                <a class="ulink" href="https://wiki.debian.org/Alioth/PackagingProject">https://wiki.debian.org/Alioth/PackagingProject</a>
              </p>
            </li>
            <li class="listitem">
              <p>
                <a class="ulink" href="https://alioth.debian.org/">https://alioth.debian.org/</a>
              </p>
            </li>
          </ul>
        </div>
      </div>
      <div class="section">
        <div class="titlepage">
          <div>
            <div>
              <h2 class="title"><a id="developer-misc"/>4.13. Cadeaux pour les développeurs et responsables Debian</h2>
            </div>
          </div>
        </div>
        <p>
Les avantages auxquels les développeurs et responsables Debian peuvent
prétendre sont décrits dans la page <a class="ulink" href="https://wiki.debian.org/MemberBenefits">https://wiki.debian.org/MemberBenefits</a>.
</p>
      </div>
    </div>
    <div class="navfooter">
      <hr/>
      <table width="100%" summary="Navigation footer">
        <tr>
          <td align="left"><a accesskey="p" href="ch03.html"><img src="images/prev.png" alt="Précédent"/></a> </td>
          <td align="center"> </td>
          <td align="right"> <a accesskey="n" href="ch05.html"><img src="images/next.png" alt="Suivant"/></a></td>
        </tr>
        <tr>
          <td align="left" valign="top">Chapitre 3. Devoirs du développeur Debian </td>
          <td align="center">
            <a accesskey="h" href="index.html">
              <img src="images/home.png" alt="Sommaire"/>
            </a>
          </td>
          <td align="right" valign="top"> Chapitre 5. Gestion des paquets</td>
        </tr>
      </table>
    </div>
  </body>
</html>
